Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## theory.smart.ebusiness.shoppingadvisor
Class ItemByDegreeImpl

    java.lang.Object
      |
      +--theory.smart.foundation.BelongingImpl
            |
            +--theory.smart.ebusiness.shoppingadvisor.ItemByDegreeImpl

public class ItemByDegreeImpl
extends BelongingImpl
implements ItemByDegree

This class associates an item with a degree. Used to sort items by degree, once we we decide which quality we want.

See Also:
  `ItemByDegree`, `ItemByDegreeHome`, Serialized Form

Field Summary
`int` | `degree` degree [ItemByDegree] <*>------> [`int`]
`SmartHandle` | `item` item [ItemByDegree] <>------> [`theory.smart.ebusiness.item.Item`]

Fields inherited from class theory.smart.foundation.BelongingImpl
`isDirty`

Constructor Summary
`ItemByDegreeImpl()`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`int` | `getDegree()` Get the value of degree
`Item` | `getItem()` Get the remote object reference of item
`SmartHandle` | `getItemHandle()`
`ItemPk` | `getItemKey()` Get the Primary Key of the object from the smart handle so that Item itself does have to be referenced.
`void` | `setDegree(int degree)` Set the value of degree
`void` | `setItem(Item item)` Set the remote object reference of item
`Belonging` | `value()`

Methods inherited from class theory.smart.foundation.BelongingImpl
`equals`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### degree

    public int degree

                        degree
       [ItemByDegree] <*>------> [int]

### item

    public SmartHandle item

                        item
       [ItemByDegree] <>------> [theory.smart.ebusiness.item.Item]

Constructor Detail

### ItemByDegreeImpl

    public ItemByDegreeImpl()

Method Detail

### getDegree

    public int getDegree()

  Get the value of degree
  Specified by:
    getDegree in interface ItemByDegree
  Returns:
    degree.

### setDegree

    public void setDegree(int degree)

  Set the value of degree
  Specified by:
    setDegree in interface ItemByDegree
  Parameters:
    `degree` - degree to be added

### getItem

    public Item getItem()
                 throws java.rmi.RemoteException

  Get the remote object reference of item
  Specified by:
    getItem in interface ItemByDegree
  Returns:
    item.

### setItem

    public void setItem(Item item)
                 throws java.rmi.RemoteException

  Set the remote object reference of item
  Specified by:
    setItem in interface ItemByDegree
  Parameters:
    `items` - item to be added

### value

    public Belonging value()

### compareTo

    public int compareTo(java.lang.Object o)

  Overrides:
    compareTo in class BelongingImpl

### getItemKey

    public ItemPk getItemKey()

  Get the Primary Key of the object from the smart handle so that Item itself does have to be referenced.
  Specified by:
    getItemKey in interface ItemByDegree

### getItemHandle

    public SmartHandle getItemHandle()

  Specified by:
    getItemHandle in interface ItemByDegree

Overview | Package | Class | Tree | Deprecated | Index | Help
| bea Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© Copyright 2000 bea Systems, Inc. All rights reserved.